Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:6500/120
First address
2c19:dd:d9:dd:c25:c25:94de:6500
Last address
2c19:dd:d9:dd:c25:c25:94de:65ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:6500
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
5.6.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:94de:6500/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:6500/1282c19:dd:d9:dd:c25:c25:94de:6500
22c19:dd:d9:dd:c25:c25:94de:6501/1282c19:dd:d9:dd:c25:c25:94de:6501
32c19:dd:d9:dd:c25:c25:94de:6502/1282c19:dd:d9:dd:c25:c25:94de:6502
42c19:dd:d9:dd:c25:c25:94de:6503/1282c19:dd:d9:dd:c25:c25:94de:6503
52c19:dd:d9:dd:c25:c25:94de:6504/1282c19:dd:d9:dd:c25:c25:94de:6504
62c19:dd:d9:dd:c25:c25:94de:6505/1282c19:dd:d9:dd:c25:c25:94de:6505
72c19:dd:d9:dd:c25:c25:94de:6506/1282c19:dd:d9:dd:c25:c25:94de:6506
82c19:dd:d9:dd:c25:c25:94de:6507/1282c19:dd:d9:dd:c25:c25:94de:6507
92c19:dd:d9:dd:c25:c25:94de:6508/1282c19:dd:d9:dd:c25:c25:94de:6508
102c19:dd:d9:dd:c25:c25:94de:6509/1282c19:dd:d9:dd:c25:c25:94de:6509
112c19:dd:d9:dd:c25:c25:94de:650a/1282c19:dd:d9:dd:c25:c25:94de:650a
122c19:dd:d9:dd:c25:c25:94de:650b/1282c19:dd:d9:dd:c25:c25:94de:650b
132c19:dd:d9:dd:c25:c25:94de:650c/1282c19:dd:d9:dd:c25:c25:94de:650c
142c19:dd:d9:dd:c25:c25:94de:650d/1282c19:dd:d9:dd:c25:c25:94de:650d
152c19:dd:d9:dd:c25:c25:94de:650e/1282c19:dd:d9:dd:c25:c25:94de:650e
162c19:dd:d9:dd:c25:c25:94de:650f/1282c19:dd:d9:dd:c25:c25:94de:650f
172c19:dd:d9:dd:c25:c25:94de:6510/1282c19:dd:d9:dd:c25:c25:94de:6510
182c19:dd:d9:dd:c25:c25:94de:6511/1282c19:dd:d9:dd:c25:c25:94de:6511
192c19:dd:d9:dd:c25:c25:94de:6512/1282c19:dd:d9:dd:c25:c25:94de:6512
202c19:dd:d9:dd:c25:c25:94de:6513/1282c19:dd:d9:dd:c25:c25:94de:6513
212c19:dd:d9:dd:c25:c25:94de:6514/1282c19:dd:d9:dd:c25:c25:94de:6514
222c19:dd:d9:dd:c25:c25:94de:6515/1282c19:dd:d9:dd:c25:c25:94de:6515
232c19:dd:d9:dd:c25:c25:94de:6516/1282c19:dd:d9:dd:c25:c25:94de:6516
242c19:dd:d9:dd:c25:c25:94de:6517/1282c19:dd:d9:dd:c25:c25:94de:6517
252c19:dd:d9:dd:c25:c25:94de:6518/1282c19:dd:d9:dd:c25:c25:94de:6518
262c19:dd:d9:dd:c25:c25:94de:6519/1282c19:dd:d9:dd:c25:c25:94de:6519
272c19:dd:d9:dd:c25:c25:94de:651a/1282c19:dd:d9:dd:c25:c25:94de:651a
282c19:dd:d9:dd:c25:c25:94de:651b/1282c19:dd:d9:dd:c25:c25:94de:651b
292c19:dd:d9:dd:c25:c25:94de:651c/1282c19:dd:d9:dd:c25:c25:94de:651c
302c19:dd:d9:dd:c25:c25:94de:651d/1282c19:dd:d9:dd:c25:c25:94de:651d
312c19:dd:d9:dd:c25:c25:94de:651e/1282c19:dd:d9:dd:c25:c25:94de:651e
322c19:dd:d9:dd:c25:c25:94de:651f/1282c19:dd:d9:dd:c25:c25:94de:651f
332c19:dd:d9:dd:c25:c25:94de:6520/1282c19:dd:d9:dd:c25:c25:94de:6520
342c19:dd:d9:dd:c25:c25:94de:6521/1282c19:dd:d9:dd:c25:c25:94de:6521
352c19:dd:d9:dd:c25:c25:94de:6522/1282c19:dd:d9:dd:c25:c25:94de:6522
362c19:dd:d9:dd:c25:c25:94de:6523/1282c19:dd:d9:dd:c25:c25:94de:6523
372c19:dd:d9:dd:c25:c25:94de:6524/1282c19:dd:d9:dd:c25:c25:94de:6524
382c19:dd:d9:dd:c25:c25:94de:6525/1282c19:dd:d9:dd:c25:c25:94de:6525
392c19:dd:d9:dd:c25:c25:94de:6526/1282c19:dd:d9:dd:c25:c25:94de:6526
402c19:dd:d9:dd:c25:c25:94de:6527/1282c19:dd:d9:dd:c25:c25:94de:6527
412c19:dd:d9:dd:c25:c25:94de:6528/1282c19:dd:d9:dd:c25:c25:94de:6528
422c19:dd:d9:dd:c25:c25:94de:6529/1282c19:dd:d9:dd:c25:c25:94de:6529
432c19:dd:d9:dd:c25:c25:94de:652a/1282c19:dd:d9:dd:c25:c25:94de:652a
442c19:dd:d9:dd:c25:c25:94de:652b/1282c19:dd:d9:dd:c25:c25:94de:652b
452c19:dd:d9:dd:c25:c25:94de:652c/1282c19:dd:d9:dd:c25:c25:94de:652c
462c19:dd:d9:dd:c25:c25:94de:652d/1282c19:dd:d9:dd:c25:c25:94de:652d
472c19:dd:d9:dd:c25:c25:94de:652e/1282c19:dd:d9:dd:c25:c25:94de:652e
482c19:dd:d9:dd:c25:c25:94de:652f/1282c19:dd:d9:dd:c25:c25:94de:652f
492c19:dd:d9:dd:c25:c25:94de:6530/1282c19:dd:d9:dd:c25:c25:94de:6530
502c19:dd:d9:dd:c25:c25:94de:6531/1282c19:dd:d9:dd:c25:c25:94de:6531
512c19:dd:d9:dd:c25:c25:94de:6532/1282c19:dd:d9:dd:c25:c25:94de:6532
522c19:dd:d9:dd:c25:c25:94de:6533/1282c19:dd:d9:dd:c25:c25:94de:6533
532c19:dd:d9:dd:c25:c25:94de:6534/1282c19:dd:d9:dd:c25:c25:94de:6534
542c19:dd:d9:dd:c25:c25:94de:6535/1282c19:dd:d9:dd:c25:c25:94de:6535
552c19:dd:d9:dd:c25:c25:94de:6536/1282c19:dd:d9:dd:c25:c25:94de:6536
562c19:dd:d9:dd:c25:c25:94de:6537/1282c19:dd:d9:dd:c25:c25:94de:6537
572c19:dd:d9:dd:c25:c25:94de:6538/1282c19:dd:d9:dd:c25:c25:94de:6538
582c19:dd:d9:dd:c25:c25:94de:6539/1282c19:dd:d9:dd:c25:c25:94de:6539
592c19:dd:d9:dd:c25:c25:94de:653a/1282c19:dd:d9:dd:c25:c25:94de:653a
602c19:dd:d9:dd:c25:c25:94de:653b/1282c19:dd:d9:dd:c25:c25:94de:653b
612c19:dd:d9:dd:c25:c25:94de:653c/1282c19:dd:d9:dd:c25:c25:94de:653c
622c19:dd:d9:dd:c25:c25:94de:653d/1282c19:dd:d9:dd:c25:c25:94de:653d
632c19:dd:d9:dd:c25:c25:94de:653e/1282c19:dd:d9:dd:c25:c25:94de:653e
642c19:dd:d9:dd:c25:c25:94de:653f/1282c19:dd:d9:dd:c25:c25:94de:653f
652c19:dd:d9:dd:c25:c25:94de:6540/1282c19:dd:d9:dd:c25:c25:94de:6540
662c19:dd:d9:dd:c25:c25:94de:6541/1282c19:dd:d9:dd:c25:c25:94de:6541
672c19:dd:d9:dd:c25:c25:94de:6542/1282c19:dd:d9:dd:c25:c25:94de:6542
682c19:dd:d9:dd:c25:c25:94de:6543/1282c19:dd:d9:dd:c25:c25:94de:6543
692c19:dd:d9:dd:c25:c25:94de:6544/1282c19:dd:d9:dd:c25:c25:94de:6544
702c19:dd:d9:dd:c25:c25:94de:6545/1282c19:dd:d9:dd:c25:c25:94de:6545
712c19:dd:d9:dd:c25:c25:94de:6546/1282c19:dd:d9:dd:c25:c25:94de:6546
722c19:dd:d9:dd:c25:c25:94de:6547/1282c19:dd:d9:dd:c25:c25:94de:6547
732c19:dd:d9:dd:c25:c25:94de:6548/1282c19:dd:d9:dd:c25:c25:94de:6548
742c19:dd:d9:dd:c25:c25:94de:6549/1282c19:dd:d9:dd:c25:c25:94de:6549
752c19:dd:d9:dd:c25:c25:94de:654a/1282c19:dd:d9:dd:c25:c25:94de:654a
762c19:dd:d9:dd:c25:c25:94de:654b/1282c19:dd:d9:dd:c25:c25:94de:654b
772c19:dd:d9:dd:c25:c25:94de:654c/1282c19:dd:d9:dd:c25:c25:94de:654c
782c19:dd:d9:dd:c25:c25:94de:654d/1282c19:dd:d9:dd:c25:c25:94de:654d
792c19:dd:d9:dd:c25:c25:94de:654e/1282c19:dd:d9:dd:c25:c25:94de:654e
802c19:dd:d9:dd:c25:c25:94de:654f/1282c19:dd:d9:dd:c25:c25:94de:654f
812c19:dd:d9:dd:c25:c25:94de:6550/1282c19:dd:d9:dd:c25:c25:94de:6550
822c19:dd:d9:dd:c25:c25:94de:6551/1282c19:dd:d9:dd:c25:c25:94de:6551
832c19:dd:d9:dd:c25:c25:94de:6552/1282c19:dd:d9:dd:c25:c25:94de:6552
842c19:dd:d9:dd:c25:c25:94de:6553/1282c19:dd:d9:dd:c25:c25:94de:6553
852c19:dd:d9:dd:c25:c25:94de:6554/1282c19:dd:d9:dd:c25:c25:94de:6554
862c19:dd:d9:dd:c25:c25:94de:6555/1282c19:dd:d9:dd:c25:c25:94de:6555
872c19:dd:d9:dd:c25:c25:94de:6556/1282c19:dd:d9:dd:c25:c25:94de:6556
882c19:dd:d9:dd:c25:c25:94de:6557/1282c19:dd:d9:dd:c25:c25:94de:6557
892c19:dd:d9:dd:c25:c25:94de:6558/1282c19:dd:d9:dd:c25:c25:94de:6558
902c19:dd:d9:dd:c25:c25:94de:6559/1282c19:dd:d9:dd:c25:c25:94de:6559
912c19:dd:d9:dd:c25:c25:94de:655a/1282c19:dd:d9:dd:c25:c25:94de:655a
922c19:dd:d9:dd:c25:c25:94de:655b/1282c19:dd:d9:dd:c25:c25:94de:655b
932c19:dd:d9:dd:c25:c25:94de:655c/1282c19:dd:d9:dd:c25:c25:94de:655c
942c19:dd:d9:dd:c25:c25:94de:655d/1282c19:dd:d9:dd:c25:c25:94de:655d
952c19:dd:d9:dd:c25:c25:94de:655e/1282c19:dd:d9:dd:c25:c25:94de:655e
962c19:dd:d9:dd:c25:c25:94de:655f/1282c19:dd:d9:dd:c25:c25:94de:655f
972c19:dd:d9:dd:c25:c25:94de:6560/1282c19:dd:d9:dd:c25:c25:94de:6560
982c19:dd:d9:dd:c25:c25:94de:6561/1282c19:dd:d9:dd:c25:c25:94de:6561
992c19:dd:d9:dd:c25:c25:94de:6562/1282c19:dd:d9:dd:c25:c25:94de:6562
1002c19:dd:d9:dd:c25:c25:94de:6563/1282c19:dd:d9:dd:c25:c25:94de:6563
1012c19:dd:d9:dd:c25:c25:94de:6564/1282c19:dd:d9:dd:c25:c25:94de:6564
1022c19:dd:d9:dd:c25:c25:94de:6565/1282c19:dd:d9:dd:c25:c25:94de:6565
1032c19:dd:d9:dd:c25:c25:94de:6566/1282c19:dd:d9:dd:c25:c25:94de:6566
1042c19:dd:d9:dd:c25:c25:94de:6567/1282c19:dd:d9:dd:c25:c25:94de:6567
1052c19:dd:d9:dd:c25:c25:94de:6568/1282c19:dd:d9:dd:c25:c25:94de:6568
1062c19:dd:d9:dd:c25:c25:94de:6569/1282c19:dd:d9:dd:c25:c25:94de:6569
1072c19:dd:d9:dd:c25:c25:94de:656a/1282c19:dd:d9:dd:c25:c25:94de:656a
1082c19:dd:d9:dd:c25:c25:94de:656b/1282c19:dd:d9:dd:c25:c25:94de:656b
1092c19:dd:d9:dd:c25:c25:94de:656c/1282c19:dd:d9:dd:c25:c25:94de:656c
1102c19:dd:d9:dd:c25:c25:94de:656d/1282c19:dd:d9:dd:c25:c25:94de:656d
1112c19:dd:d9:dd:c25:c25:94de:656e/1282c19:dd:d9:dd:c25:c25:94de:656e
1122c19:dd:d9:dd:c25:c25:94de:656f/1282c19:dd:d9:dd:c25:c25:94de:656f
1132c19:dd:d9:dd:c25:c25:94de:6570/1282c19:dd:d9:dd:c25:c25:94de:6570
1142c19:dd:d9:dd:c25:c25:94de:6571/1282c19:dd:d9:dd:c25:c25:94de:6571
1152c19:dd:d9:dd:c25:c25:94de:6572/1282c19:dd:d9:dd:c25:c25:94de:6572
1162c19:dd:d9:dd:c25:c25:94de:6573/1282c19:dd:d9:dd:c25:c25:94de:6573
1172c19:dd:d9:dd:c25:c25:94de:6574/1282c19:dd:d9:dd:c25:c25:94de:6574
1182c19:dd:d9:dd:c25:c25:94de:6575/1282c19:dd:d9:dd:c25:c25:94de:6575
1192c19:dd:d9:dd:c25:c25:94de:6576/1282c19:dd:d9:dd:c25:c25:94de:6576
1202c19:dd:d9:dd:c25:c25:94de:6577/1282c19:dd:d9:dd:c25:c25:94de:6577
1212c19:dd:d9:dd:c25:c25:94de:6578/1282c19:dd:d9:dd:c25:c25:94de:6578
1222c19:dd:d9:dd:c25:c25:94de:6579/1282c19:dd:d9:dd:c25:c25:94de:6579
1232c19:dd:d9:dd:c25:c25:94de:657a/1282c19:dd:d9:dd:c25:c25:94de:657a
1242c19:dd:d9:dd:c25:c25:94de:657b/1282c19:dd:d9:dd:c25:c25:94de:657b
1252c19:dd:d9:dd:c25:c25:94de:657c/1282c19:dd:d9:dd:c25:c25:94de:657c
1262c19:dd:d9:dd:c25:c25:94de:657d/1282c19:dd:d9:dd:c25:c25:94de:657d
1272c19:dd:d9:dd:c25:c25:94de:657e/1282c19:dd:d9:dd:c25:c25:94de:657e
1282c19:dd:d9:dd:c25:c25:94de:657f/1282c19:dd:d9:dd:c25:c25:94de:657f
1292c19:dd:d9:dd:c25:c25:94de:6580/1282c19:dd:d9:dd:c25:c25:94de:6580
1302c19:dd:d9:dd:c25:c25:94de:6581/1282c19:dd:d9:dd:c25:c25:94de:6581
1312c19:dd:d9:dd:c25:c25:94de:6582/1282c19:dd:d9:dd:c25:c25:94de:6582
1322c19:dd:d9:dd:c25:c25:94de:6583/1282c19:dd:d9:dd:c25:c25:94de:6583
1332c19:dd:d9:dd:c25:c25:94de:6584/1282c19:dd:d9:dd:c25:c25:94de:6584
1342c19:dd:d9:dd:c25:c25:94de:6585/1282c19:dd:d9:dd:c25:c25:94de:6585
1352c19:dd:d9:dd:c25:c25:94de:6586/1282c19:dd:d9:dd:c25:c25:94de:6586
1362c19:dd:d9:dd:c25:c25:94de:6587/1282c19:dd:d9:dd:c25:c25:94de:6587
1372c19:dd:d9:dd:c25:c25:94de:6588/1282c19:dd:d9:dd:c25:c25:94de:6588
1382c19:dd:d9:dd:c25:c25:94de:6589/1282c19:dd:d9:dd:c25:c25:94de:6589
1392c19:dd:d9:dd:c25:c25:94de:658a/1282c19:dd:d9:dd:c25:c25:94de:658a
1402c19:dd:d9:dd:c25:c25:94de:658b/1282c19:dd:d9:dd:c25:c25:94de:658b
1412c19:dd:d9:dd:c25:c25:94de:658c/1282c19:dd:d9:dd:c25:c25:94de:658c
1422c19:dd:d9:dd:c25:c25:94de:658d/1282c19:dd:d9:dd:c25:c25:94de:658d
1432c19:dd:d9:dd:c25:c25:94de:658e/1282c19:dd:d9:dd:c25:c25:94de:658e
1442c19:dd:d9:dd:c25:c25:94de:658f/1282c19:dd:d9:dd:c25:c25:94de:658f
1452c19:dd:d9:dd:c25:c25:94de:6590/1282c19:dd:d9:dd:c25:c25:94de:6590
1462c19:dd:d9:dd:c25:c25:94de:6591/1282c19:dd:d9:dd:c25:c25:94de:6591
1472c19:dd:d9:dd:c25:c25:94de:6592/1282c19:dd:d9:dd:c25:c25:94de:6592
1482c19:dd:d9:dd:c25:c25:94de:6593/1282c19:dd:d9:dd:c25:c25:94de:6593
1492c19:dd:d9:dd:c25:c25:94de:6594/1282c19:dd:d9:dd:c25:c25:94de:6594
1502c19:dd:d9:dd:c25:c25:94de:6595/1282c19:dd:d9:dd:c25:c25:94de:6595
1512c19:dd:d9:dd:c25:c25:94de:6596/1282c19:dd:d9:dd:c25:c25:94de:6596
1522c19:dd:d9:dd:c25:c25:94de:6597/1282c19:dd:d9:dd:c25:c25:94de:6597
1532c19:dd:d9:dd:c25:c25:94de:6598/1282c19:dd:d9:dd:c25:c25:94de:6598
1542c19:dd:d9:dd:c25:c25:94de:6599/1282c19:dd:d9:dd:c25:c25:94de:6599
1552c19:dd:d9:dd:c25:c25:94de:659a/1282c19:dd:d9:dd:c25:c25:94de:659a
1562c19:dd:d9:dd:c25:c25:94de:659b/1282c19:dd:d9:dd:c25:c25:94de:659b
1572c19:dd:d9:dd:c25:c25:94de:659c/1282c19:dd:d9:dd:c25:c25:94de:659c
1582c19:dd:d9:dd:c25:c25:94de:659d/1282c19:dd:d9:dd:c25:c25:94de:659d
1592c19:dd:d9:dd:c25:c25:94de:659e/1282c19:dd:d9:dd:c25:c25:94de:659e
1602c19:dd:d9:dd:c25:c25:94de:659f/1282c19:dd:d9:dd:c25:c25:94de:659f
1612c19:dd:d9:dd:c25:c25:94de:65a0/1282c19:dd:d9:dd:c25:c25:94de:65a0
1622c19:dd:d9:dd:c25:c25:94de:65a1/1282c19:dd:d9:dd:c25:c25:94de:65a1
1632c19:dd:d9:dd:c25:c25:94de:65a2/1282c19:dd:d9:dd:c25:c25:94de:65a2
1642c19:dd:d9:dd:c25:c25:94de:65a3/1282c19:dd:d9:dd:c25:c25:94de:65a3
1652c19:dd:d9:dd:c25:c25:94de:65a4/1282c19:dd:d9:dd:c25:c25:94de:65a4
1662c19:dd:d9:dd:c25:c25:94de:65a5/1282c19:dd:d9:dd:c25:c25:94de:65a5
1672c19:dd:d9:dd:c25:c25:94de:65a6/1282c19:dd:d9:dd:c25:c25:94de:65a6
1682c19:dd:d9:dd:c25:c25:94de:65a7/1282c19:dd:d9:dd:c25:c25:94de:65a7
1692c19:dd:d9:dd:c25:c25:94de:65a8/1282c19:dd:d9:dd:c25:c25:94de:65a8
1702c19:dd:d9:dd:c25:c25:94de:65a9/1282c19:dd:d9:dd:c25:c25:94de:65a9
1712c19:dd:d9:dd:c25:c25:94de:65aa/1282c19:dd:d9:dd:c25:c25:94de:65aa
1722c19:dd:d9:dd:c25:c25:94de:65ab/1282c19:dd:d9:dd:c25:c25:94de:65ab
1732c19:dd:d9:dd:c25:c25:94de:65ac/1282c19:dd:d9:dd:c25:c25:94de:65ac
1742c19:dd:d9:dd:c25:c25:94de:65ad/1282c19:dd:d9:dd:c25:c25:94de:65ad
1752c19:dd:d9:dd:c25:c25:94de:65ae/1282c19:dd:d9:dd:c25:c25:94de:65ae
1762c19:dd:d9:dd:c25:c25:94de:65af/1282c19:dd:d9:dd:c25:c25:94de:65af
1772c19:dd:d9:dd:c25:c25:94de:65b0/1282c19:dd:d9:dd:c25:c25:94de:65b0
1782c19:dd:d9:dd:c25:c25:94de:65b1/1282c19:dd:d9:dd:c25:c25:94de:65b1
1792c19:dd:d9:dd:c25:c25:94de:65b2/1282c19:dd:d9:dd:c25:c25:94de:65b2
1802c19:dd:d9:dd:c25:c25:94de:65b3/1282c19:dd:d9:dd:c25:c25:94de:65b3
1812c19:dd:d9:dd:c25:c25:94de:65b4/1282c19:dd:d9:dd:c25:c25:94de:65b4
1822c19:dd:d9:dd:c25:c25:94de:65b5/1282c19:dd:d9:dd:c25:c25:94de:65b5
1832c19:dd:d9:dd:c25:c25:94de:65b6/1282c19:dd:d9:dd:c25:c25:94de:65b6
1842c19:dd:d9:dd:c25:c25:94de:65b7/1282c19:dd:d9:dd:c25:c25:94de:65b7
1852c19:dd:d9:dd:c25:c25:94de:65b8/1282c19:dd:d9:dd:c25:c25:94de:65b8
1862c19:dd:d9:dd:c25:c25:94de:65b9/1282c19:dd:d9:dd:c25:c25:94de:65b9
1872c19:dd:d9:dd:c25:c25:94de:65ba/1282c19:dd:d9:dd:c25:c25:94de:65ba
1882c19:dd:d9:dd:c25:c25:94de:65bb/1282c19:dd:d9:dd:c25:c25:94de:65bb
1892c19:dd:d9:dd:c25:c25:94de:65bc/1282c19:dd:d9:dd:c25:c25:94de:65bc
1902c19:dd:d9:dd:c25:c25:94de:65bd/1282c19:dd:d9:dd:c25:c25:94de:65bd
1912c19:dd:d9:dd:c25:c25:94de:65be/1282c19:dd:d9:dd:c25:c25:94de:65be
1922c19:dd:d9:dd:c25:c25:94de:65bf/1282c19:dd:d9:dd:c25:c25:94de:65bf
1932c19:dd:d9:dd:c25:c25:94de:65c0/1282c19:dd:d9:dd:c25:c25:94de:65c0
1942c19:dd:d9:dd:c25:c25:94de:65c1/1282c19:dd:d9:dd:c25:c25:94de:65c1
1952c19:dd:d9:dd:c25:c25:94de:65c2/1282c19:dd:d9:dd:c25:c25:94de:65c2
1962c19:dd:d9:dd:c25:c25:94de:65c3/1282c19:dd:d9:dd:c25:c25:94de:65c3
1972c19:dd:d9:dd:c25:c25:94de:65c4/1282c19:dd:d9:dd:c25:c25:94de:65c4
1982c19:dd:d9:dd:c25:c25:94de:65c5/1282c19:dd:d9:dd:c25:c25:94de:65c5
1992c19:dd:d9:dd:c25:c25:94de:65c6/1282c19:dd:d9:dd:c25:c25:94de:65c6
2002c19:dd:d9:dd:c25:c25:94de:65c7/1282c19:dd:d9:dd:c25:c25:94de:65c7
2012c19:dd:d9:dd:c25:c25:94de:65c8/1282c19:dd:d9:dd:c25:c25:94de:65c8
2022c19:dd:d9:dd:c25:c25:94de:65c9/1282c19:dd:d9:dd:c25:c25:94de:65c9
2032c19:dd:d9:dd:c25:c25:94de:65ca/1282c19:dd:d9:dd:c25:c25:94de:65ca
2042c19:dd:d9:dd:c25:c25:94de:65cb/1282c19:dd:d9:dd:c25:c25:94de:65cb
2052c19:dd:d9:dd:c25:c25:94de:65cc/1282c19:dd:d9:dd:c25:c25:94de:65cc
2062c19:dd:d9:dd:c25:c25:94de:65cd/1282c19:dd:d9:dd:c25:c25:94de:65cd
2072c19:dd:d9:dd:c25:c25:94de:65ce/1282c19:dd:d9:dd:c25:c25:94de:65ce
2082c19:dd:d9:dd:c25:c25:94de:65cf/1282c19:dd:d9:dd:c25:c25:94de:65cf
2092c19:dd:d9:dd:c25:c25:94de:65d0/1282c19:dd:d9:dd:c25:c25:94de:65d0
2102c19:dd:d9:dd:c25:c25:94de:65d1/1282c19:dd:d9:dd:c25:c25:94de:65d1
2112c19:dd:d9:dd:c25:c25:94de:65d2/1282c19:dd:d9:dd:c25:c25:94de:65d2
2122c19:dd:d9:dd:c25:c25:94de:65d3/1282c19:dd:d9:dd:c25:c25:94de:65d3
2132c19:dd:d9:dd:c25:c25:94de:65d4/1282c19:dd:d9:dd:c25:c25:94de:65d4
2142c19:dd:d9:dd:c25:c25:94de:65d5/1282c19:dd:d9:dd:c25:c25:94de:65d5
2152c19:dd:d9:dd:c25:c25:94de:65d6/1282c19:dd:d9:dd:c25:c25:94de:65d6
2162c19:dd:d9:dd:c25:c25:94de:65d7/1282c19:dd:d9:dd:c25:c25:94de:65d7
2172c19:dd:d9:dd:c25:c25:94de:65d8/1282c19:dd:d9:dd:c25:c25:94de:65d8
2182c19:dd:d9:dd:c25:c25:94de:65d9/1282c19:dd:d9:dd:c25:c25:94de:65d9
2192c19:dd:d9:dd:c25:c25:94de:65da/1282c19:dd:d9:dd:c25:c25:94de:65da
2202c19:dd:d9:dd:c25:c25:94de:65db/1282c19:dd:d9:dd:c25:c25:94de:65db
2212c19:dd:d9:dd:c25:c25:94de:65dc/1282c19:dd:d9:dd:c25:c25:94de:65dc
2222c19:dd:d9:dd:c25:c25:94de:65dd/1282c19:dd:d9:dd:c25:c25:94de:65dd
2232c19:dd:d9:dd:c25:c25:94de:65de/1282c19:dd:d9:dd:c25:c25:94de:65de
2242c19:dd:d9:dd:c25:c25:94de:65df/1282c19:dd:d9:dd:c25:c25:94de:65df
2252c19:dd:d9:dd:c25:c25:94de:65e0/1282c19:dd:d9:dd:c25:c25:94de:65e0
2262c19:dd:d9:dd:c25:c25:94de:65e1/1282c19:dd:d9:dd:c25:c25:94de:65e1
2272c19:dd:d9:dd:c25:c25:94de:65e2/1282c19:dd:d9:dd:c25:c25:94de:65e2
2282c19:dd:d9:dd:c25:c25:94de:65e3/1282c19:dd:d9:dd:c25:c25:94de:65e3
2292c19:dd:d9:dd:c25:c25:94de:65e4/1282c19:dd:d9:dd:c25:c25:94de:65e4
2302c19:dd:d9:dd:c25:c25:94de:65e5/1282c19:dd:d9:dd:c25:c25:94de:65e5
2312c19:dd:d9:dd:c25:c25:94de:65e6/1282c19:dd:d9:dd:c25:c25:94de:65e6
2322c19:dd:d9:dd:c25:c25:94de:65e7/1282c19:dd:d9:dd:c25:c25:94de:65e7
2332c19:dd:d9:dd:c25:c25:94de:65e8/1282c19:dd:d9:dd:c25:c25:94de:65e8
2342c19:dd:d9:dd:c25:c25:94de:65e9/1282c19:dd:d9:dd:c25:c25:94de:65e9
2352c19:dd:d9:dd:c25:c25:94de:65ea/1282c19:dd:d9:dd:c25:c25:94de:65ea
2362c19:dd:d9:dd:c25:c25:94de:65eb/1282c19:dd:d9:dd:c25:c25:94de:65eb
2372c19:dd:d9:dd:c25:c25:94de:65ec/1282c19:dd:d9:dd:c25:c25:94de:65ec
2382c19:dd:d9:dd:c25:c25:94de:65ed/1282c19:dd:d9:dd:c25:c25:94de:65ed
2392c19:dd:d9:dd:c25:c25:94de:65ee/1282c19:dd:d9:dd:c25:c25:94de:65ee
2402c19:dd:d9:dd:c25:c25:94de:65ef/1282c19:dd:d9:dd:c25:c25:94de:65ef
2412c19:dd:d9:dd:c25:c25:94de:65f0/1282c19:dd:d9:dd:c25:c25:94de:65f0
2422c19:dd:d9:dd:c25:c25:94de:65f1/1282c19:dd:d9:dd:c25:c25:94de:65f1
2432c19:dd:d9:dd:c25:c25:94de:65f2/1282c19:dd:d9:dd:c25:c25:94de:65f2
2442c19:dd:d9:dd:c25:c25:94de:65f3/1282c19:dd:d9:dd:c25:c25:94de:65f3
2452c19:dd:d9:dd:c25:c25:94de:65f4/1282c19:dd:d9:dd:c25:c25:94de:65f4
2462c19:dd:d9:dd:c25:c25:94de:65f5/1282c19:dd:d9:dd:c25:c25:94de:65f5
2472c19:dd:d9:dd:c25:c25:94de:65f6/1282c19:dd:d9:dd:c25:c25:94de:65f6
2482c19:dd:d9:dd:c25:c25:94de:65f7/1282c19:dd:d9:dd:c25:c25:94de:65f7
2492c19:dd:d9:dd:c25:c25:94de:65f8/1282c19:dd:d9:dd:c25:c25:94de:65f8
2502c19:dd:d9:dd:c25:c25:94de:65f9/1282c19:dd:d9:dd:c25:c25:94de:65f9
2512c19:dd:d9:dd:c25:c25:94de:65fa/1282c19:dd:d9:dd:c25:c25:94de:65fa
2522c19:dd:d9:dd:c25:c25:94de:65fb/1282c19:dd:d9:dd:c25:c25:94de:65fb
2532c19:dd:d9:dd:c25:c25:94de:65fc/1282c19:dd:d9:dd:c25:c25:94de:65fc
2542c19:dd:d9:dd:c25:c25:94de:65fd/1282c19:dd:d9:dd:c25:c25:94de:65fd
2552c19:dd:d9:dd:c25:c25:94de:65fe/1282c19:dd:d9:dd:c25:c25:94de:65fe
2562c19:dd:d9:dd:c25:c25:94de:65ff/1282c19:dd:d9:dd:c25:c25:94de:65ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses